Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class Notification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AttributeChangeNotification, MBeanServerNotification, MonitorNotification, RelationNotification, TimerAlarmClockNotification, TimerNotification

public class Notification
extends java.util.EventObject

The Notification class represents a notification emitted by an MBean. It contains a reference to the source MBean: if the notification has been forwarded through the MBean server, and the original source of the notification was a reference to the emitting MBean object, then the MBean server replaces it by the MBean's ObjectName. If the listener has registered directly with the MBean, this is either the object name or a direct reference to the MBean.

It is strongly recommended that notification senders use the object name rather than a reference to the MBean object as the source.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `source` This field hides the `EventObject.source` field in the parent class to make it non-transient and therefore part of the serialized form.

Constructor Summary
`Notification(java.lang.String type, java.lang.Object source, long sequenceNumber)` Creates a Notification object.
`Notification(java.lang.String type, java.lang.Object source, long sequenceNumber, long timeStamp)` Creates a Notification object.
`Notification(java.lang.String type, java.lang.Object source, long sequenceNumber, long timeStamp, java.lang.String message)` Creates a Notification object.
`Notification(java.lang.String type, java.lang.Object source, long sequenceNumber, java.lang.String message)` Creates a Notification object.

Method Summary
`java.lang.String` | `getMessage()` Get the notification message.
`long` | `getSequenceNumber()` Get the notification sequence number.
`long` | `getTimeStamp()` Get the notification timestamp.
`java.lang.String` | `getType()` Get the notification type.
`java.lang.Object` | `getUserData()` Get the user data.
`void` | `setSequenceNumber(long sequenceNumber)` Set the notification sequence number.
`void` | `setSource(java.lang.Object source)` Sets the source.
`void` | `setTimeStamp(long timeStamp)` Set the notification timestamp.
`void` | `setUserData(java.lang.Object userData)` Set the user data.
`java.lang.String` | `toString()` Returns a String representation of this notification.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected java.lang.Object source

  This field hides the `EventObject.source` field in the parent class to make it non-transient and therefore part of the serialized form.

Constructor Detail

### Notification

    public Notification(java.lang.String type,
                        java.lang.Object source,
                        long sequenceNumber)

  Creates a Notification object. The notification timeStamp is set to the current date.

Parameters:
  `type` - The notification type.
  `source` - The notification source.
  `sequenceNumber` - The notification sequence number within the source object.

### Notification

    public Notification(java.lang.String type,
                        java.lang.Object source,
                        long sequenceNumber,
                        java.lang.String message)

  Creates a Notification object. The notification timeStamp is set to the current date.

Parameters:
  `type` - The notification type.
  `source` - The notification source.
  `sequenceNumber` - The notification sequence number within the source object.
  `message` - The detailed message.

### Notification

    public Notification(java.lang.String type,
                        java.lang.Object source,
                        long sequenceNumber,
                        long timeStamp)

  Creates a Notification object.

Parameters:
  `type` - The notification type.
  `source` - The notification source.
  `sequenceNumber` - The notification sequence number within the source object.
  `timeStamp` - The notification emission date.

### Notification

    public Notification(java.lang.String type,
                        java.lang.Object source,
                        long sequenceNumber,
                        long timeStamp,
                        java.lang.String message)

  Creates a Notification object.

Parameters:
  `type` - The notification type.
  `source` - The notification source.
  `sequenceNumber` - The notification sequence number within the source object.
  `timeStamp` - The notification emission date.
  `message` - The detailed message.

Method Detail

### setSource

    public void setSource(java.lang.Object source)

  Sets the source.

  Parameters:
    `source` - the new source for this object.
  See Also:
    `EventObject.getSource()`

### getSequenceNumber

    public long getSequenceNumber()

  Get the notification sequence number.

  Returns:
    The notification sequence number within the source object. It's a serial number identifying a particular instance of notification in the context of the notification source. The notification model does not assume that notifications will be received in the same order that they are sent. The sequence number helps listeners to sort received notifications.
  See Also:
    `setSequenceNumber(long)`

### setSequenceNumber

    public void setSequenceNumber(long sequenceNumber)

  Set the notification sequence number.

  Parameters:
    `sequenceNumber` - The notification sequence number within the source object. It is a serial number identifying a particular instance of notification in the context of the notification source.
  See Also:
    `getSequenceNumber()`

### getType

    public java.lang.String getType()

  Get the notification type.

  Returns:
    The notification type. It's a string expressed in a dot notation similar to Java properties. An example of a notification type is network.alarm.router .

### getTimeStamp

    public long getTimeStamp()

  Get the notification timestamp.

  Returns:
    The notification timestamp.
  See Also:
    `setTimeStamp(long)`

### setTimeStamp

    public void setTimeStamp(long timeStamp)

  Set the notification timestamp.

  Parameters:
    `timeStamp` - The notification timestamp. It indicates when the notification was generated.
  See Also:
    `getTimeStamp()`

### getMessage

    public java.lang.String getMessage()

  Get the notification message.

  Returns:
    The message string of this notification object. It contains in a string, which could be the explanation of the notification for displaying to a user

### getUserData

    public java.lang.Object getUserData()

  Get the user data.

  Returns:
    The user data object. It is used for whatever data the notification source wishes to communicate to its consumers.
  See Also:
    `setUserData(java.lang.Object)`

### setUserData

    public void setUserData(java.lang.Object userData)

  Set the user data.

  Parameters:
    `userData` - The user data object. It is used for whatever data the notification source wishes to communicate to its consumers.
  See Also:
    `getUserData()`

### toString

    public java.lang.String toString()

  Returns a String representation of this notification.

  Returns:
    A String representation of this notification.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.